package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsUrlResult;

/**
 * 错外链监测Service接口
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
public interface ITrsUrlResultService 
{
    /**
     * 查询错外链监测
     * 
     * @param id 错外链监测主键
     * @return 错外链监测
     */
    public TrsUrlResult selectTrsUrlResultById(Long id);

    /**
     * 查询错外链监测列表
     * 
     * @param trsUrlResult 错外链监测
     * @return 错外链监测集合
     */
    public List<TrsUrlResult> selectTrsUrlResultList(TrsUrlResult trsUrlResult);

    /**
     * 新增错外链监测
     * 
     * @param trsUrlResult 错外链监测
     * @return 结果
     */
    public int insertTrsUrlResult(TrsUrlResult trsUrlResult);

    /**
     * 修改错外链监测
     * 
     * @param trsUrlResult 错外链监测
     * @return 结果
     */
    public int updateTrsUrlResult(TrsUrlResult trsUrlResult);

    /**
     * 批量删除错外链监测
     * 
     * @param ids 需要删除的错外链监测主键集合
     * @return 结果
     */
    public int deleteTrsUrlResultByIds(String ids);

    /**
     * 删除错外链监测信息
     * 
     * @param id 错外链监测主键
     * @return 结果
     */
    public int deleteTrsUrlResultById(Long id);
}
